Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CORBA_methods.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/Basic_Types.h"`
`#include "tao/orbconf.h"`

Include dependency graph for CORBA_methods.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
## ORB Initialization
These could be combined into a single version using an environment macro.
TAO_Export ORB_ptr | ORB_init (int &argc, char *argv[], const char *orb_name=0)
TAO_Export ORB_ptr | ORB_init (int &argc, char *argv[], const char *orb_name, Environment &ACE_TRY_ENV)
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
## Typedefs
typedef Environment * | Environment_ptr
typedef Principal * | Principal_ptr
typedef OperationDef * | OperationDef_ptr
## Functions
TAO_NAMESPACE_INLINE_FUNCTION Boolean | is_nil (Environment_ptr)
TAO_NAMESPACE_INLINE_FUNCTION void | release (Environment_ptr)
TAO_NAMESPACE_INLINE_FUNCTION Boolean | is_nil (ORB_ptr)
TAO_NAMESPACE_INLINE_FUNCTION void | release (ORB_ptr)
TAO_NAMESPACE_INLINE_FUNCTION Boolean | is_nil (Object_ptr)
TAO_NAMESPACE_INLINE_FUNCTION void | release (Object_ptr)
TAO_NAMESPACE_INLINE_FUNCTION Boolean | is_nil (Principal_ptr)
TAO_NAMESPACE_INLINE_FUNCTION void | release (Principal_ptr)

## Detailed Description

Id
  CORBA_methods.h,v 1.7 2005/11/24 11:05:44 ossama Exp

Declarations of common methods in the CORBA namespace.

Author:
  Jeff Parsons

## Define Documentation

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef Environment * CORBA::Environment_ptr

typedef OperationDef * CORBA::OperationDef_ptr

typedef Principal * CORBA::Principal_ptr

## Function Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE CORBA::Boolean CORBA::is_nil | ( | Principal_ptr |  | ) |

ACE_INLINE CORBA::Boolean CORBA::is_nil | ( | Object_ptr |  | ) |

ACE_INLINE CORBA::Boolean CORBA::is_nil | ( | ORB_ptr |  | ) |

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE CORBA::Boolean CORBA::is_nil | ( | Environment_ptr |  | ) |

CORBA::ORB_ptr CORBA::ORB_init | ( | int & | argc,
|  | char * | argv[],
|  | const char * | orb_name,
|  | Environment & | ACE_TRY_ENV
| ) |

CORBA::ORB_ptr CORBA::ORB_init | ( | int & | argc,
|  | char * | argv[],
|  | const char * | orb_name = `0`
| ) |

ACE_INLINE void CORBA::release | ( | Principal_ptr |  | ) |

ACE_INLINE void CORBA::release | ( | Object_ptr |  | ) |

ACE_INLINE void CORBA::release | ( | ORB_ptr |  | ) |

ACE_INLINE void CORBA::release | ( | Environment_ptr |  | ) |